use strict;
use warnings;
use Test::More;
use Test::App::RunCron;

subtest 'runcron.ymlのテスト' => sub {
  runcron_yml_ok;
  runcron_yml_ok('other_runcron.yml');
};

subtest 'MyApp::Reporter::Sampleのテスト' => sub {
  use_ok 'MyApp::Reporter::Sample';
  my $mock = mock_runcron;
  MyApp::Reporter::Sample->new->run($mock);
  pass 'run ok';
};
done_testing;
